Bug 118027 - [patch] devel/gcvs unbreak fix build with GCC 4.2 + get rid of a few warnings
Summary: [patch] devel/gcvs unbreak fix build with GCC 4.2 + get rid of a few warnings
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-13 23:40 UTC by Pietro Cerutti
Modified: 2007-11-23 03:30 UTC (History)
0 users

See Also:


Attachments
_gcvs.diff (17.60 KB, patch)
2007-11-13 23:40 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti 2007-11-13 23:40:00 UTC

- fixed a few (actually, a lot of) "deprecated conversion from string to const char *" errors
- got rid of a few (actually, a lot of) warnings

How-To-Repeat: 

cd /usr/ports/devel/gcvs && make
Comment 1 Martin Wilke freebsd_committer 2007-11-14 05:53:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Pietro Cerutti 2007-11-22 20:41:51 UTC
The patch also fixes the build on 64bits platforms:

http://www.gahr.ch/FreeBSD/patches/118027_gcvs.diff

-- 
Pietro Cerutti

PGP Public Key:
http://gahr.ch/pgp
Comment 3 Martin Wilke freebsd_committer 2007-11-22 22:27:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2007-11-23 03:21:40 UTC
miwi        2007-11-22 22:27:30 UTC

  FreeBSD ports repository

  Modified files:
    devel/gcvs           Makefile 
    devel/gcvs/files     patch-common-UCvsFiles.cpp 
                         patch-cvsunix-configure.in 
  Added files:
    devel/gcvs/files     patch-common_AboutDlg.cpp 
                         patch-common_AppGlue.h 
                         patch-common_ImportDlg.cpp 
                         patch-common_ImportFilterDlg.cpp 
                         patch-common_LineCmd.cpp 
                         patch-common_LogDlg.cpp 
                         patch-common_MultiString.cpp 
                         patch-common_MultiString.h 
                         patch-common_Persistent.h 
                         patch-common_UCvsApp.cpp 
                         patch-common_UpdateDlg.cpp 
                         patch-common_cvsgui_process.cpp 
                         patch-common_getopt.c 
                         patch-cvsunix-lib_regex.c 
                         patch-rf_uevent.cpp patch-rf_umain.h 
                         patch-rf_ustr.cpp patch-rf_ustr.h 
                         patch-rf_utoolbar.cpp patch-rf_utoolbar.h 
                         patch-rf_uwidget.cpp patch-rf_uwidget.h 
  Log:
  - Fix build with gcc 4.2/AMD64
  
  PR:             118027
  Submitted by:   Pietro Cerutti <gahr@gahr.ch>
  Approved by:    portmgr (pav,linimon)
  
  Revision  Changes    Path
  1.36      +1 -7      ports/devel/gcvs/Makefile
  1.2       +11 -2     ports/devel/gcvs/files/patch-common-UCvsFiles.cpp
  1.1       +16 -0     ports/devel/gcvs/files/patch-common_AboutDlg.cpp (new)
  1.1       +13 -0     ports/devel/gcvs/files/patch-common_AppGlue.h (new)
  1.1       +26 -0     ports/devel/gcvs/files/patch-common_ImportDlg.cpp (new)
  1.1       +11 -0     ports/devel/gcvs/files/patch-common_ImportFilterDlg.cpp (new)
  1.1       +11 -0     ports/devel/gcvs/files/patch-common_LineCmd.cpp (new)
  1.1       +38 -0     ports/devel/gcvs/files/patch-common_LogDlg.cpp (new)
  1.1       +11 -0     ports/devel/gcvs/files/patch-common_MultiString.cpp (new)
  1.1       +20 -0     ports/devel/gcvs/files/patch-common_MultiString.h (new)
  1.1       +15 -0     ports/devel/gcvs/files/patch-common_Persistent.h (new)
  1.1       +11 -0     ports/devel/gcvs/files/patch-common_UCvsApp.cpp (new)
  1.1       +29 -0     ports/devel/gcvs/files/patch-common_UpdateDlg.cpp (new)
  1.1       +11 -0     ports/devel/gcvs/files/patch-common_cvsgui_process.cpp (new)
  1.1       +11 -0     ports/devel/gcvs/files/patch-common_getopt.c (new)
  1.2       +26 -3     ports/devel/gcvs/files/patch-cvsunix-configure.in
  1.1       +11 -0     ports/devel/gcvs/files/patch-cvsunix-lib_regex.c (new)
  1.1       +63 -0     ports/devel/gcvs/files/patch-rf_uevent.cpp (new)
  1.1       +20 -0     ports/devel/gcvs/files/patch-rf_umain.h (new)
  1.1       +10 -0     ports/devel/gcvs/files/patch-rf_ustr.cpp (new)
  1.1       +20 -0     ports/devel/gcvs/files/patch-rf_ustr.h (new)
  1.1       +28 -0     ports/devel/gcvs/files/patch-rf_utoolbar.cpp (new)
  1.1       +11 -0     ports/devel/gcvs/files/patch-rf_utoolbar.h (new)
  1.1       +168 -0    ports/devel/gcvs/files/patch-rf_uwidget.cpp (new)
  1.1       +11 -0     ports/devel/gcvs/files/patch-rf_uwidget.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"